.show-product-added-modal,
.feedback-modal,
.send-review-modal {
    background: rgba(16, 24, 40, 0.25);
    backdrop-filter: blur(4px);
}

.show-product-added-modal .content,
.feedback-modal .modal-content,
.send-review-modal .modal-content {
    border-radius: 4px 4px 0 0;
}

.show-product-added-modal .modal-header::before,
.show-product-added-modal .modal-header::after,
.feedback-modal .modal-header::before,
.feedback-modal .modal-header::after,
.send-review-modal .modal-header::before,
.send-review-modal .modal-header::after {
    display: none;
}

.show-product-added-modal .modal-header,
.feedback-modal .modal-header,
.send-review-modal .modal-header {
    width: 100%;
    display: flex;
    padding: 16px 16px 16px 24px;
    border-radius: 4px 4px 0 0;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    background: #F3F4F6;
}

.show-product-added-modal .modal-header h4,
.feedback-modal .modal-header h4,
.send-review-modal .modal-header h4,
.title-section .title-span,
.title-section .desc-span,
.quantity-price p,
.quantity-price span {
    color: #101828;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.show-product-added-modal .modal-header h4 ,
.feedback-modal .modal-header h4,
.send-review-modal .modal-header h4{
    font-size: 18px;
    font-weight: 600;
    line-height: 28px;
}

.show-product-added-modal .modal-header img {
    width: 16px;
    height: 16px;
}

.show-product-added-modal .modal-body,
.quantity-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}

.product-information {
    display: flex;
    width: 60%;
    align-items: center;
    gap: 16px;
    align-self: stretch;
}

.send-review-modal .product-information {
    width: 100%;
    align-items: flex-start;
}

.product-image-section {
    display: flex;
    width: 115px;
    justify-content: center;
    align-items: center;
    gap: 16px;
    flex-shrink: 0;
}

#show-product-added img {
    height: auto;
    max-height: 130px;
}

.product-image-section img {
    width: 100%;
    height: 100%;
}

.title-section .title-span {
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
}

.quantity-price-modal {
    display: flex;
    width: 30%;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.quantity-price p,
.quantity-price span {
    color: #535B62;
}

.quantity-price span {
    color: #101828;
    font-size: 18px;
    font-weight: 600;
    line-height: 28px;
}

.show-product-added-modal .modal-footer,
.feedback-modal .modal-footer,
.send-review-modal .modal-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}

.show-product-added-modal .modal-footer .btn-checkout,
.show-product-added-modal .modal-footer .btn-gocheckout,
.feedback-modal .btn-gocheckout,
.feedback-modal .btn-unread,
.send-review-modal .btn-gocheckout,
.send-review-modal .btn-unread {
    display: flex;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: 1px solid #ED1C24;
    background: #FFF;
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    color: #ED1C24;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
}

.show-product-added-modal .modal-footer .btn-gocheckout,
.feedback-modal .btn-unread,
.send-review-modal .btn-unread {
    background: #ED1C24 !important;
    color: #FFF !important;
    margin-left: 0;
}

.feedback-part1 label,
.review-form label,
.mpn-section p,
.mpn-section span,
.clear-rating {
    color: #101828;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
}

.mpn-section p,
.mpn-section span {
    color: #535B62;
    font-weight: 400;
    margin: 0;
}

.feedback-modal .feedback-part-1 textarea,
.feedback-modal .feedback-part-1 input,
.send-review-modal .feedback-part-1 textarea,
.send-review-modal .feedback-part-1 input,
.review-form input,
.review-form textarea {
    width: 100%;
    display: flex;
    padding: 10px 14px;
    align-items: center;
    gap: 8px;
    border-radius: 0;
    align-self: stretch;
    border: 1px solid #D2D5DB;
    background: #FFF;
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
}

.error-cart,
input.error {
    border-color: #b94a48 !important;
}

.feedback-modal .feedback-part-1 input,
.send-review-modal .feedback-part-1 input,
.review-form input {
    height: 40px;
}

.send-review-modal .modal-body {
    display: flex;
    padding: 0 24px;
    flex-direction: column;
    align-items: flex-end;
    gap: 16px;
    align-self: stretch;
    margin: 16px 0;
}

.send-review-modal .mpn-section {
    width: 156px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
}

.mpn-section span {
    color: #101828;
    font-weight: 500;
}

.rating-section {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: anchor-center;
    gap: 8px;
}

.clear-rating {
    display: none;
    color: #D12226;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    cursor: pointer;
}
.rating>input:checked~label,
.rating:not(:checked)>label:hover,
.rating:not(:checked)>label:hover~label,
.rating>input:checked+label:hover,
.rating>input:checked+label:hover~label,
.rating>input:checked~label,
.rating>input:checked~label:hover,
.rating>input:checked~label:hover~label,
.rating>label:hover~input:checked~label {
    color: #F79009;
}

.review-content-section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.review-form {
    width: 100%;
}

.review-form p {
    margin-top: 6px;
}

.feedback-part-2 p {
    display: inline-block;
    width: 100%;
}

@media screen and (min-width:930px) and (max-width:1200px) {
    .quantity-price-section {
        flex-direction: column;
        align-items: end !important;
        gap: 16px;
    }
}

@media screen and (max-width:768px) {
    .show-product-added-modal .content .modal-body {
        flex-direction: column;
        gap: 16px;
    }

    .show-product-added-modal .product-information {
        width: 100%;
        flex-direction: column;
        margin-bottom: 0;
    }

    .showing-p {
        margin-bottom: 0;
    }

    .quantity-price-modal {
        width: 100%;
    }
}

@media (max-width: 600px) {
    .show-product-added-modal .modal-header img {
        width: 16px;
        height: 16px;
    }

    .product-image-section img {
        height: 85px !important;
    }

    .pop .showing-p,
    .pop .gray-p {
        display: block !important;
    }
}